path: /build/build/racc-dev-ruby-1.8.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/racc -pv -t && \
    USE="-ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/racc
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/racc && luet-portage --dir /pkgdir/racc
    dev-ruby/racc && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e5f37dcfaebbf479f037004273e05cfcaab057058d866c1438c3dde5c690c20b
  package:
    name: racc
    version: 1.8.0
    category: dev-ruby
    use_flags:
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rake
      version: '>=0'
      category: dev-ruby
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Racc is an LALR(1) parser generator. It is written in Ruby itself,
      and generates ruby programs.
    uri:
    - https://github.com/ruby/racc
    license: LGPL-2.1
    buildtimestamp: 2024-07-03 09:34:08.427293002 +0000 UTC m=+107.298018470
    labels:
      BDEPEND: test? ( ruby_targets_ruby32? ( virtual/ruby-ssl[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/ruby-ssl[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/ruby-ssl[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/ruby-ssl[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-ruby/rake[ruby_targets_ruby32(-)] test? ( dev-ruby/minitest[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( dev-ruby/rake[ruby_targets_ruby31(-)] test? ( dev-ruby/minitest[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( dev-ruby/rake[ruby_targets_ruby30(-)] test? ( dev-ruby/minitest[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( dev-ruby/rake[ruby_targets_ruby27(-)] test? ( dev-ruby/minitest[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        test? ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
        ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
        ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: doc test test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31
        ruby_targets_ruby32 test test
      RDEPEND: ruby_targets_ruby32? ( virtual/ruby-ssl[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/ruby-ssl[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/ruby-ssl[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/ruby-ssl[ruby_targets_ruby27(-)] ) ruby_targets_ruby32?
        ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1 ) ruby_targets_ruby30?
        ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7 ) ruby_targets_ruby32?
        ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)]
        ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27?
        ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/racc
      kit: ruby-kit
      original.package.name: dev-ruby/racc
      original.package.slot: "0"
      original.package.version: 1.8.0
    treedir: /build/packages
  package_dir: /pkgdir/racc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 41a45efc37ae15d42ba690b93e365156ed86a3bea86ce07d993a81acea11b7ff
compressiontype: zstd
files:
- usr/bin/racc
- usr/lib64/ruby/gems/3.1.0/extensions/x86_64-linux/3.1.0/racc-1.8.0/gem.build_complete
- usr/lib64/ruby/gems/3.1.0/extensions/x86_64-linux/3.1.0/racc-1.8.0/racc/cparse.so
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/bin/racc
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/compat.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/cparse/cparse.so
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/debugflags.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/exception.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/grammar.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/grammarfileparser.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/info.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/iset.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/logfilegenerator.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/parser-text.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/parser.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/parserfilegenerator.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/sourcetext.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/state.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/statetransitiontable.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc/static.rb
- usr/lib64/ruby/gems/3.1.0/gems/racc-1.8.0/lib/racc.rb
- usr/lib64/ruby/gems/3.1.0/specifications/racc-1.8.0.gemspec
- usr/share/doc/racc-1.8.0/ChangeLog.bz2
- usr/share/doc/racc-1.8.0/README.ja.rdoc.bz2
- usr/share/doc/racc-1.8.0/README.rdoc.bz2
- usr/share/doc/racc-1.8.0/TODO.bz2
- usr/share/doc/racc-1.8.0/doc/en/Overview-of-racc.md.bz2
- usr/share/doc/racc-1.8.0/doc/en/grammar.en.rdoc.bz2
- usr/share/doc/racc-1.8.0/doc/en/grammar2.en.rdoc.bz2
- usr/share/doc/racc-1.8.0/doc/en/racc.en.rhtml.bz2
- usr/share/doc/racc-1.8.0/doc/ja/command.ja.html
- usr/share/doc/racc-1.8.0/doc/ja/debug.ja.rdoc.bz2
- usr/share/doc/racc-1.8.0/doc/ja/grammar.ja.rdoc.bz2
- usr/share/doc/racc-1.8.0/doc/ja/index.ja.html
- usr/share/doc/racc-1.8.0/doc/ja/parser.ja.rdoc.bz2
- usr/share/doc/racc-1.8.0/doc/ja/racc.ja.rhtml.bz2
- usr/share/doc/racc-1.8.0/doc/ja/usage.ja.html
- usr/share/doc/racc-1.8.0/examples/sample/array.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/array2.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/calc-ja.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/calc.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/conflict.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/hash.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/lalr.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/lists.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/syntax.y.bz2
- usr/share/doc/racc-1.8.0/examples/sample/yyerr.y.bz2
- var/db/pkg/dev-ruby/racc-1.8.0/BDEPEND
- var/db/pkg/dev-ruby/racc-1.8.0/BUILD_TIME
- var/db/pkg/dev-ruby/racc-1.8.0/CATEGORY
- var/db/pkg/dev-ruby/racc-1.8.0/CBUILD
- var/db/pkg/dev-ruby/racc-1.8.0/CFLAGS
- var/db/pkg/dev-ruby/racc-1.8.0/CHOST
- var/db/pkg/dev-ruby/racc-1.8.0/CONTENTS
- var/db/pkg/dev-ruby/racc-1.8.0/COUNTER
- var/db/pkg/dev-ruby/racc-1.8.0/CXXFLAGS
- var/db/pkg/dev-ruby/racc-1.8.0/DEFINED_PHASES
- var/db/pkg/dev-ruby/racc-1.8.0/DEPEND
- var/db/pkg/dev-ruby/racc-1.8.0/DESCRIPTION
- var/db/pkg/dev-ruby/racc-1.8.0/EAPI
- var/db/pkg/dev-ruby/racc-1.8.0/FEATURES
- var/db/pkg/dev-ruby/racc-1.8.0/HOMEPAGE
- var/db/pkg/dev-ruby/racc-1.8.0/INHERITED
- var/db/pkg/dev-ruby/racc-1.8.0/IUSE
- var/db/pkg/dev-ruby/racc-1.8.0/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/racc-1.8.0/KEYWORDS
- var/db/pkg/dev-ruby/racc-1.8.0/LDFLAGS
- var/db/pkg/dev-ruby/racc-1.8.0/LICENSE
- var/db/pkg/dev-ruby/racc-1.8.0/NEEDED
- var/db/pkg/dev-ruby/racc-1.8.0/PF
- var/db/pkg/dev-ruby/racc-1.8.0/PROVIDES
- var/db/pkg/dev-ruby/racc-1.8.0/RDEPEND
- var/db/pkg/dev-ruby/racc-1.8.0/REQUIRES
- var/db/pkg/dev-ruby/racc-1.8.0/RESTRICT
- var/db/pkg/dev-ruby/racc-1.8.0/SIZE
- var/db/pkg/dev-ruby/racc-1.8.0/SLOT
- var/db/pkg/dev-ruby/racc-1.8.0/USE
- var/db/pkg/dev-ruby/racc-1.8.0/environment.bz2
- var/db/pkg/dev-ruby/racc-1.8.0/racc-1.8.0.ebuild
- var/db/pkg/dev-ruby/racc-1.8.0/repository
package_cacheimage: ""
runtime:
  name: racc
  version: 1.8.0
  category: dev-ruby
  use_flags:
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: ruby-ssl
    version: '>=0'
    category: virtual
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Racc is an LALR(1) parser generator. It is written in Ruby itself,
    and generates ruby programs.
  uri:
  - https://github.com/ruby/racc
  license: LGPL-2.1
  labels:
    BDEPEND: test? ( ruby_targets_ruby32? ( virtual/ruby-ssl[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/ruby-ssl[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/ruby-ssl[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/ruby-ssl[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-ruby/rake[ruby_targets_ruby32(-)] test? ( dev-ruby/minitest[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( dev-ruby/rake[ruby_targets_ruby31(-)] test? ( dev-ruby/minitest[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( dev-ruby/rake[ruby_targets_ruby30(-)] test? ( dev-ruby/minitest[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( dev-ruby/rake[ruby_targets_ruby27(-)] test? ( dev-ruby/minitest[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test?
      ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test? (
      ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: doc test test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31
      ruby_targets_ruby32 test test
    RDEPEND: ruby_targets_ruby32? ( virtual/ruby-ssl[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/ruby-ssl[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/ruby-ssl[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/ruby-ssl[ruby_targets_ruby27(-)] ) ruby_targets_ruby32?
      ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1 ) ruby_targets_ruby30?
      ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7 ) ruby_targets_ruby32?
      ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)]
      ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27?
      ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/racc
    kit: ruby-kit
    original.package.name: dev-ruby/racc
    original.package.slot: "0"
    original.package.version: 1.8.0
